
# to determine BricsCAD location
$language = "en_US" # replace with e.g. fr_FR, de_DE, pt_BR, etc.
$bricscad_folder = ""

# create output folder
. ./scripts/create_output_folder.ps1

# ask for Admin rights (to copy qtdiag.exe to bricscad folder)
if (!([Security.Principal.WindowsPrincipal][Security.Principal.WindowsIdentity]::GetCurrent()).IsInRole([Security.Principal.WindowsBuiltInRole]::Administrator)) {
    Start-Process PowerShell -Verb RunAs "-NoProfile -ExecutionPolicy Bypass -Command `"cd '$pwd'; & '$PSCommandPath';`"";
    exit;
}

# find specific BricsCAD location
. ./scripts/ask_location.ps1

# run sysinfo script
. ./scripts/run_script_1_sysinfo.ps1

# run script that prints BricsCAD loaded DLLs list
. ./scripts/list_bricscad_dlls.ps1

# archive the output folder
. ./scripts/zip_output.ps1

Read-Host -Prompt "Press Enter to exit..."
