
# create output folder
. ./scripts/create_output_folder.ps1

$bricscad_path_file = "$output_folder\exec_path.txt"

# check if location is already determined
if(Test-Path -Path $bricscad_path_file -PathType Leaf)
{
	$bricscad_exe_file = Get-Content -Path $bricscad_path_file -TotalCount 1
}

if($bricscad_exe_file)
{
	$bricscad_folder = $bricscad_exe_file.Replace("bricscad.exe", "")
	Write-Host $bricscad_exe_file
	exit;
}

# ask for BricsCAD location
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")
$file_browser = New-Object System.Windows.Forms.OpenFileDialog -Property @{
    InitialDirectory = "C:\Program Files\Bricsys"
    FileName = 'bricscad.exe'
    Title = 'Select BricsCAD folder'
}

if($file_browser -eq $null) {
	echo "FSystem.Windows.Forms.OpenFileDialog cannot be loaded."
	exit;
}

$file_browser_result = $file_browser.ShowDialog()
if ($file_browser_result -eq [System.Windows.Forms.DialogResult]::OK) {
	$bricscad_exe_file = $file_browser.FileName
	$bricscad_folder = $bricscad_exe_file.Replace("bricscad.exe", "")
}
else {
	echo "File browser dialog returned CANCEL."
	exit;
}

# write result to output folder in a file
Set-Content -Path $bricscad_path_file -Value $bricscad_exe_file
